Subject: Re: bug#46827: Broken initial size of GTK3 frame

From: Stephen Berman <[email-masked]>
Date: Mon, 01 Mar 2021 20:49:22 +0100

On Mon, 01 Mar 2021 19:23:21 +0100 Robert Pluim <[email-masked]> wrote:

>>>>>> On Mon, 1 Mar 2021 19:03:44 +0100, martin rudalics <[email-masked]> said:
>
>     >> With "xfwm4/testing,now 4.16.1-1 amd64" I donʼt see any issues with
>     >> the frame (and it gives me a frame height of 32).
>
>     martin> Hmm... interesting.  Which GTK version is this?  And what about the
>     martin> other builds?
>
> 3.24.24. The lucid build gives me a frame height of 32 as well.
>
> Interestingly, if I run the gtk build under xfwm4 without its dumpfile
> present, I do sometimes see the frame issue you reported, which
> suggests itʼs a timing issue somewhere.

Evidence in favor of that suggestion may be the following observations:
I can reliably reproduce the problematic display (on xfwm4-4.14.1 with
GTK+ 3.24.17) with the first invocation below, but not with the second
invocation:

$ emacs-master -Q --eval "(customize-set-variable 'default-frame-alist '((cursor-color . \"red3\") (width . 80) (height . 32)))"

$ emacs-master -Q --eval "(progn (sleep-for .1) (customize-set-variable 'default-frame-alist '((cursor-color . \"red3\") (width . 80) (height . 32))))"

Yet I can also reproduce the display problem with the following
invocation:

$ emacs-master -Q --eval "(progn (sit-for .1) (customize-set-variable 'default-frame-alist '((cursor-color . \"red3\") (width . 80) (height . 32))))"

Steve Berman